

function navScroll(id, obj) {
	var sPos = $(obj).css("position");
	var sTop = $(id).offset().top - $("#dNav").height()
	$("#dNav").find('li').removeClass("active")
	$(obj).addClass("active");
	$(document).scrollTop(sTop)
}

function set_cur(n) {
	if ($("#dNav li").hasClass("active")) {
		$("#dNav li").removeClass("active");
	}
	$("#dNav").find('li').eq(n).addClass("active");
}
$(function () {
	
	var navTop = $("#dNav").offset().top;
	var pro_top = $("#d-proAll").offset().top; //距页顶偏移量 
	var news_top = $("#d-proNext").offset().top;
	var ser_top = $("#d-proTeam").offset().top;
	var job_top = $("#d-proGold").offset().top;
	$(window).scroll(function () {
			var nTop = $(this).scrollTop();
			if (nTop > navTop) {
				$("#dNav").addClass("fixedNav")
			} else {
				$("#dNav").removeClass("fixedNav")
			};
			if (nTop > job_top - navTop) {
				set_cur(3); //设置状态 
			} else if (nTop > ser_top - navTop) {
				set_cur(2);
			} else if (nTop > news_top - navTop) {
				set_cur(1);
			} else if (nTop > pro_top - navTop) {
				set_cur(0);
			}

		})
		//
	getDetails();
})
function getDetails(){
	new Vue({
		el: '#d-details',
		data: {
			show: false
		},
		ready: function () {
		},
		methods: {
			showModel: function () {
				this.show = !this.show
			}
		}
	})
}
var pemDetails = {
	init:function(){
		var _this = this;
		_this.navFixed();
	},
	getAndroid : function(data,baseurl){
		var _this = this;
		new Vue({
			el : "#Details",
			data : {
				pro : {}，
				show: {
                    "trade" : true
				},
				dataurl : ''
			},
			created : function() {
				var self = this;
                self.pro = data;
			 	self.$nextTick(function() {
					var mySwiper = new Swiper('.swiper-container', {
						pagination: '.swiper-pagination',
						slidesPerView: 4,
						slidesPerGroup: 3,
						paginationClickable: true,
                   });
				   if(self.pro.finance.netmarginStrings.length ==0){
                        this.show.trade = false;
                    }else{
                         _this.trade(self.pro.finance);
                    }
				},
			 	dataurl : baseurl
			}
		})
	},
	getIos : function(){
		
	}，
	setFilter : function(){
	
	},
	trade : function(data){
		var myChart = echarts.init(document.getElementById('trade'));
		var revenueStrings = data.revenueStrings;
		var netmarginStrings = data.netmarginStrings;
		for(var i = 6;i>0;i--){
			if(revenueStrings[i] != 0){
				break;
			}else{
				revenueStrings[i] = ''
			}
		}
		for(var i = 6;i>0;i--){
			if(netmarginStrings[i] != 0){
				break;
			}else{
			   netmarginStrings[i] = ''
			}
		}
		 var option = {
			tooltip: {
				trigger: 'axis'
			},
			legend: {
				data: ['收入', '利润']
			},
			grid: {
				left: '3%',
				right: '4%',
				containLabel: true
			},
			xAxis: [{
				type: 'category',
				data: data.yearAll,
				axisLabel: {
					rotate: 50,
					interval:0
				},
				boundaryGap : false,
				splitLine:{
				   show: false
				}
			}],
			yAxis: [{
				type: 'value',
				name: '金额(万元 人民币)',
				axisLabel: {
					formatter: '{value}'
				},
				splitLine:{
				   show: false
				}
			}],
			series: [{
				name: '收入',
				type: 'line',
				itemStyle: {
					normal: {
						color: '#FFB375'
					}
				},
				data: revenueStrings
			}, {
				name: '利润',
				type: 'line',
				itemStyle: {
					normal: {
						color: '#FF571F'
					}
				},
				data: netmarginStrings
			}]
		};
		// 使用刚指定的配置项和数据显示图表。
		myChart.setOption(option);
	},
	navFixed : function(){
		$(window).scroll(function () {
			var nTop = $(this).scrollTop();
			if (nTop > navTop) {
				$("#dNav").addClass("fixedNav")
			} else {
				$("#dNav").removeClass("fixedNav")
			}; 
		}
	}
}